
; Script for Installing Lexique Pro.
; 
; This is compiled into a setup exe using Inno Setup.
; Inno Setup is available as freeware from www.jrsoftware.org.

[Setup]
AppName=Lexique Pro - Bariai
AppVerName=Lexique Pro 2.6.13
AppVersion=2
AppPublisher=SIL Mali
DefaultDirName={pf}\SIL\Lexique Pro
DefaultGroupName=Lexique Pro
OutputBaseFilename=Bariai - Lexique Pro Setup
OutputDir=C:\Documents and Settings\Steve Gallagher\My Documents\Lexique Pro\Distribution
DisableProgramGroupPage=yes
SolidCompression=no
Compression=lzma

[Languages]
; The language files can be downloaded from the Inno Setup web site (www.jrsoftware.org)
Name: en; MessagesFile: compiler:Default.isl
Name: fr; MessagesFile: C:\Program Files\SIL\Lexique Pro\Inno Setup\French.isl
Name: es; MessagesFile: C:\Program Files\SIL\Lexique Pro\Inno Setup\SpanishStd.isl
Name: pt; MessagesFile: C:\Program Files\SIL\Lexique Pro\Inno Setup\PortugueseStd.isl

[Messages]
en.BeveledLabel=English
fr.BeveledLabel=Franais
es.BeveledLabel=Espaol
pt.BeveledLabel=Portugus

[CustomMessages]
en.CreateIcon=Create an icon
fr.CreateIcon=Crer une icne
es.CreateIcon=Agregar un icono
pt.CreateIcon=Criar um cone
en.CreateDesktopIcon=Create a desktop icon
fr.CreateDesktopIcon=Crer une icne sur le Bureau
es.CreateDesktopIcon=Agregar un icono del escritorio
pt.CreateDesktopIcon=Criar um cone no ambiente de trabalho:
en.CreateDesktopIcon2=Create a desktop icon:
fr.CreateDesktopIcon2=Crer une icne sur le Bureau :
es.CreateDesktopIcon2=Agregar un icono del escritorio :
pt.CreateDesktopIcon2=Criar um cone no ambiente de trabalho: :
en.LaunchLexiquePro=Launch Lexique Pro
fr.LaunchLexiquePro=Lancer Lexique Pro
es.LaunchLexiquePro=Iniciar Lexique Pro 
pt.LaunchLexiquePro=Iniciar Lexique Pro
en.ProgramFiles=Lexique Pro program files
fr.ProgramFiles=Fichiers de programme de Lexique Pro
es.ProgramFiles=Archivos de programa de Lexique Pro 
pt.ProgramFiles=Ficheiros do programa Lexique Pro
en.DistWizProgFiles=Distribution Wizard program files
fr.DistWizProgFiles=Fichiers de programme de l'Assistant de Distribution
es.DistWizProgFiles=Archivos de programa del Asistente de Distribucin 
pt.DistWizProgFiles=Ficheiros do programa do Assistente de Distribuio
en.Lexicons=Lexicons
fr.Lexicons=Lexiques
es.Lexicons=Lxicos 
pt.Lexicons=Lxicos

[Tasks]
Name: desktopicon_0; Description: {cm:CreateDesktopIcon2}; GroupDescription: {cm:CreateIcon}; Components: not (Lexicons\Lexicon_0)
Name: desktopicon_1; Description: Bariai; GroupDescription: {cm:CreateDesktopIcon}; Components: Lexicons\Lexicon_0

[Files]
; Lexique Pro Program Files
Source: C:\Program Files\SIL\Lexique Pro\LexiquePro.exe; DestDir: {app}; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\licence.txt; DestDir: {app}; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\Display\homebanner1.jpg; DestDir: {app}\Display; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\Display\homebanner2.jpg; DestDir: {app}\Display; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\Display\Icons\mov-icon.png; DestDir: {app}\Display\Icons; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\Display\Icons\doc-icon.png; DestDir: {app}\Display\Icons; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\Display\Icons\pdf-icon.png; DestDir: {app}\Display\Icons; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\Display\Icons\sound-icon.png; DestDir: {app}\Display\Icons; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\TECkit_x86.dll; DestDir: {app}; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\bass.dll; DestDir: {app}; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\cc32.dll; DestDir: {app}; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\htmltortf_sautinsoft.dll; DestDir: {app}; Flags: ignoreversion

; Info Pages
Source: C:\Program Files\SIL\Lexique Pro\info\index.htm; DestDir: {app}\Info\; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\info\sil-intl.png; DestDir: {app}\Info\; Flags: ignoreversion

; Semantic Domains - Dictionary Development Program
Source: C:\Program Files\SIL\Lexique Pro\Semantic Domains\xxdict2.db; DestDir: {app}\Semantic Domains; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\Semantic Domains\xxdict3.db; DestDir: {app}\Semantic Domains; Flags: ignoreversion
Source: C:\Program Files\SIL\Lexique Pro\Semantic Domains\xxdict4.db; DestDir: {app}\Semantic Domains; Flags: ignoreversion

; Lexicon Files
Source: C:\Documents and Settings\Steve Gallagher\My Documents\ARCHIVES Steve\Linguistics\Bariai Dictionary (published)\Toolbox\Bariai Dictionary (public sfm).enc; DestDir: {app}\Data\Bariai; Flags: ignoreversion; Components: Lexicons\Lexicon_0
Source: C:\Documents and Settings\Steve Gallagher\My Documents\ARCHIVES Steve\Linguistics\Bariai Dictionary (published)\Toolbox\Bariai Dictionary (public sfm) - Config.enc; DestName: Bariai Dictionary (public sfm) - Config.enc; DestDir: {app}\Data\Bariai; Flags: ignoreversion; Components: Lexicons\Lexicon_0
Source: C:\Documents and Settings\Steve Gallagher\My Documents\ARCHIVES Steve\Linguistics\Bariai Dictionary (published)\Toolbox\Bariai Dictionary (public sfm) - Bariai.idx; DestDir: {app}\Data\Bariai; Flags: ignoreversion; Components: Lexicons\Lexicon_0
Source: C:\Documents and Settings\Steve Gallagher\My Documents\ARCHIVES Steve\Linguistics\Bariai Dictionary (published)\Toolbox\Bariai Dictionary (public sfm) - English.idx; DestDir: {app}\Data\Bariai; Flags: ignoreversion; Components: Lexicons\Lexicon_0
Source: C:\Documents and Settings\Steve Gallagher\My Documents\ARCHIVES Steve\Linguistics\Bariai Dictionary (published)\Toolbox\Bariai Dictionary (public sfm) - Tok Pisin.idx; DestDir: {app}\Data\Bariai; Flags: ignoreversion; Components: Lexicons\Lexicon_0

; About Language Pages
Source: C:\Documents and Settings\Steve Gallagher\My Documents\ARCHIVES Steve\Linguistics\Bariai Dictionary (published)\Toolbox\About the Bariai Dictionary_files\filelist.xml; DestDir: {app}\Data\Bariai\About\About the Bariai Dictionary_files; Flags: ignoreversion; Components: Lexicons\Lexicon_0
Source: C:\Documents and Settings\Steve Gallagher\My Documents\ARCHIVES Steve\Linguistics\Bariai Dictionary (published)\Toolbox\About the Bariai Dictionary_files\image002.jpg; DestDir: {app}\Data\Bariai\About\About the Bariai Dictionary_files; Flags: ignoreversion; Components: Lexicons\Lexicon_0
Source: C:\Documents and Settings\Steve Gallagher\My Documents\ARCHIVES Steve\Linguistics\Bariai Dictionary (published)\Toolbox\About the Bariai Dictionary_files\image006.jpg; DestDir: {app}\Data\Bariai\About\About the Bariai Dictionary_files; Flags: ignoreversion; Components: Lexicons\Lexicon_0
Source: C:\Documents and Settings\Steve Gallagher\My Documents\ARCHIVES Steve\Linguistics\Bariai Dictionary (published)\Toolbox\index.htm; DestDir: {app}\Data\Bariai\About\; Flags: ignoreversion; Components: Lexicons\Lexicon_0

; Home Page
Source: C:\Documents and Settings\Steve Gallagher\My Documents\ARCHIVES Steve\Linguistics\Bariai Dictionary (published)\Toolbox\Bambak from ocean 003.jpg; DestDir: {app}\Data\Bariai\Display\; Flags: ignoreversion; Components: Lexicons\Lexicon_0

[Icons]
Name: {group}\Lexique Pro - Bariai; Filename: {app}\LexiquePro.exe; Parameters: "/f ""{app}\Data\Bariai\Bariai Dictionary (public sfm).enc"""; IconIndex: 0; Components: Lexicons\Lexicon_0
Name: {userdesktop}\Lexique Pro - Bariai; Filename: {app}\LexiquePro.exe; Tasks: desktopicon_1; Parameters: "/f ""{app}\Data\Bariai\Bariai Dictionary (public sfm).enc"""; IconIndex: 0; Components: Lexicons\Lexicon_0

; Icons if database is not chosen
Name: {group}\Lexique Pro; Filename: {app}\LexiquePro.exe; IconIndex: 0; Components: not (Lexicons\Lexicon_0)
Name: {userdesktop}\Lexique Pro; Filename: {app}\LexiquePro.exe; Tasks: desktopicon_0; IconIndex: 0; Components: not (Lexicons\Lexicon_0)

[Run]
Filename: {app}\LexiquePro.exe; Description: {cm:LaunchLexiquePro} - Bariai; Flags: nowait postinstall skipifsilent; Parameters: "/f ""{app}\Data\Bariai\Bariai Dictionary (public sfm).enc"""; Components: Lexicons\Lexicon_0
Filename: {app}\LexiquePro.exe; Description: {cm:LaunchLexiquePro}; Flags: nowait postinstall skipifsilent; Components: not (Lexicons\Lexicon_0)

[Registry]
Root: HKCU; Subkey: Software\SIL\Lexique Pro\Interface; ValueType: string; ValueName: Language; ValueData: en; Flags: deletevalue; Languages: en
Root: HKCU; Subkey: Software\SIL\Lexique Pro\Interface; ValueType: string; ValueName: Language; ValueData: fr; Flags: deletevalue; Languages: fr
Root: HKCU; Subkey: Software\SIL\Lexique Pro\Interface; ValueType: string; ValueName: Language; ValueData: es; Flags: deletevalue; Languages: es
Root: HKCU; Subkey: Software\SIL\Lexique Pro\Interface; ValueType: string; ValueName: Language; ValueData: pt; Flags: deletevalue; Languages: pt

[Components]
Name: LexiquePro_Program; Description: {cm:ProgramFiles}; Flags: fixed; Types: custom compact full
Name: Lexicons; Description: {cm:Lexicons}; Types: custom compact full
Name: Lexicons\Lexicon_0; Description: Bariai; Types: custom compact full

[UninstallDelete]
Type: files; Name: "{app}\Data\Bariai\*.idx"
Type: files; Name: "{app}\Data\Bariai\*.bak"
Type: files; Name: "{app}\Data\Bariai\*.tmp"
Type: files; Name: "{app}\Data\Bariai\*.enc"
Type: files; Name: "{app}\Data\Bariai\*.iss"
Type: files; Name: "{app}\Data\Bariai\*.cc"
Type: files; Name: "{app}\Data\Bariai\*.lck"
